
Figure - Bug #118342
【IOVDEV-31152】【VC1】【0100】【台架】【EE环境】【副屏】早上过来monkey自动命令停止，副屏正常
显示屏保界面，正常进入主界面
2023-05-29 16:33 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-29

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 100%

Category: Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause: 与 #118052 原因相同

Description

【环境信息】EE环境

【问题出现时间】：20230527 09：01

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.点击进入副屏主界面

【实际结果】

1.副屏正常显示

【期望结果】

1.副屏在跑monkey命令

【备注】：

今早是第二次

第165次开机

开机时长41：44：51

日志、视频地址：https://ofs.human-horizons.com/#/download/index/KIiAnAybzN8%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0082.c101

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-29 16:54 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118342/118342

#2 - 2023-05-29 19:43 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to CDTS_TEST 王成

请重新提供日志，日志没有抓到现场，
在整个日志中过滤Monkey字符串，未发现相关打印，

#3 - 2023-05-30 16:20 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118342/1685434511131.zip  日志时间范围：5.26号0点-5.27号11点

#4 - 2023-05-30 16:20 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to CD SYSTEM-夏旭

#5 - 2023-05-31 16:55 - CD SYSTEM-夏旭

1.system_server 重启

  1685515927993\FSEM_000162_0675_0527090609\prop.txt

  [sys.system_server.start_count]: [2]

2.重新的提供的日志，只一份是在出问题的时间段内，无法通过此log看出为什么system_server会重启

FSEM_000162_0675_0527090609

3.通过下面的属性初步判断是电压异常，导致的关机

1685515927993\FSEM_000162_0675_0527090609\prop.txt

 shutdown,trigger_voltage_protection,1684976654

#6 - 2023-05-31 21:22 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118342/118342--5.25.0-5.27.10 时间段为5.25号0点到5.27号11点

#7 - 2023-06-01 19:05 - CD SYSTEM-夏旭

1. /system/bin/surfaceflinger crash

log文件：1685538943472\FSEM_000162_0655_0526232106\logcat\000162_persist_00323_230526_232038.log

05-26 23:20:51.411   984   984 F libc    : Fatal signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x0 in tid 984 (surfaceflinger), pid 984 (surfaceflinger)

05-26 23:20:51.485  9991  9991 E DEBUG   : failed to read /proc/uptime: Permission denied

05-26 23:20:51.725  9991  9991 F DEBUG   : *  *

05-26 23:20:51.725  9991  9991 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys'

05-26 23:20:51.725  9991  9991 F DEBUG   : Revision: '0'

05-26 23:20:51.725  9991  9991 F DEBUG   : ABI: 'arm64'

05-26 23:20:51.725  9991  9991 F DEBUG   : Timestamp: 2023-05-26 23:20:51.484796595+0800

05-26 23:20:51.725  9991  9991 F DEBUG   : Process uptime: 0s

05-26 23:20:51.725  9991  9991 F DEBUG   : Cmdline: /system/bin/surfaceflinger

05-26 23:20:51.725  9991  9991 F DEBUG   : pid: 984, tid: 984, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

05-26 23:20:51.725  9991  9991 F DEBUG   : uid: 1000

05-26 23:20:51.725  9991  9991 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x0

05-26 23:20:51.725  9991  9991 F DEBUG   : Cause: null pointer dereference

05-26 23:20:51.725  9991  9991 F DEBUG   :     x0  b400006eadb665a8  x1  0000007fd28f8108  x2  0000006d3d963240  x3  0000007fd28f7f48

05-26 23:20:51.725  9991  9991 F DEBUG   :     x4  0000000000000018  x5  00000000ffffffff  x6  00000000ffffffff  x7  b400006eadabec30

05-26 23:20:51.725  9991  9991 F DEBUG   :     x8  b400006eadb63ed0  x9  00000000000026d8  x10 000000003f800000  x11 0000000000000168

05-26 23:20:51.725  9991  9991 F DEBUG   :     x12 000000000000000e  x13 0000000050a20c40  x14 b400006e4d9668e8  x15 0000000000000000
05-26 23:20:51.725  9991  9991 F DEBUG   :     x16 0000005a0f1a7c10  x17 000000702dc50ec0  x18 000000703ac84000  x19 0000000000000000

05-26 23:20:51.725  9991  9991 F DEBUG   :     x20 0000007fd28f8108  x21 b400006eadb665a8  x22 0000043800000a00  x23 b400006eadb63ed0

05-26 23:20:51.725  9991  9991 F DEBUG   :     x24 0000007036fb8240  x25 b400006ebd912010  x26 0000007039add000  x27 0000000000000438

05-26 23:20:51.725  9991  9991 F DEBUG   :     x28 0000000000000000  x29 0000007fd28f8000

05-26 23:20:51.725  9991  9991 F DEBUG   :     lr  0000005a0ed1b650  sp  0000007fd28f8000  pc  000000702dc50ee0  pst 0000000060001000

05-26 23:20:51.725  9991  9991 F DEBUG   : backtrace:

2. monkey异常错误

1685538943472\FSEM_000162_0655_0526232106\logcat\000162_persist_00324_230526_232052.log

35 W Monkey  : * Failed talking with package manager!

05-26 23:20:52.351 20635 20635 W Monkey  : * Error: A RuntimeException occurred:

05-26 23:20:52.351 20635 20635 W Monkey  : java.lang.RuntimeException: android.os.DeadSystemException

05-26 23:20:52.351 20635 20635 W Monkey  :     at android.app.ActivityManager.getCurrentUser(ActivityManager.java:4043)

05-26 23:20:52.351 20635 20635 W Monkey  :     at com.android.commands.monkey.MonkeyActivityEvent.injectEvent(MonkeyActivityEvent.java:74)

05-26 23:20:52.351 20635 20635 W Monkey  :     at com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1217)

05-26 23:20:52.351 20635 20635 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:708)

05-26 23:20:52.351 20635 20635 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:568)

05-26 23:20:52.351 20635 20635 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

05-26 23:20:52.351 20635 20635 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

05-26 23:20:52.351 20635 20635 W Monkey  : Caused by: android.os.DeadSystemException

05-26 23:20:52.351 20635 20635 W Monkey  :     ... 7 more

05-26 23:20:52.354  2631 10003 I adbd    : UsbFfs-monitor thread spawned

05-26 23:20:52.354 20635 20635 W Monkey  : ** System appears to have crashed at event 97064 of 12000000 using seed 1234567

05-26 23:20:52.355 20635 20635 I app_process: System.exit called, status: 97064

05-26 23:20:52.355 20635 20635 I AndroidRuntime: VM exiting with result code 97064.

05-26 23:20:52.383  1207  2424 W AudioSystem: AudioFlinger server died!

05-26 23:20:52.383  1207  2423 W AudioSystem: AudioPolicyService server died!

4. zygote 重启了导致

log file:685538943472\FSEM_000162_0655_0526232106\logcat\000162_persist_00324_230526_232052.log +1076

05-26 23:20:52.803 10008 10008 D AndroidRuntime: >>>>>> START com.android.internal.os.ZygoteInit uid 0 <<<<<<

05-26 23:20:52.830 10008 10008 I zygote  : option0=-Xzygote

05-26 23:20:52.830 10008 10008 I zygote  : option1=-Xdeny-art-apex-data-files

05-26 23:20:52.830 10008 10008 I zygote  : option2=exit

05-26 23:20:52.830 10008 10008 I zygote  : option3=vfprintf

05-26 23:20:52.830 10008 10008 I zygote  : option4=sensitiveThread

05-26 23:20:52.830 10008 10008 I zygote  : option5=-verbose:gc

05-26 23:20:52.830 10008 10008 I zygote  : option6=-XX:PerfettoHprof=true

05-26 23:20:52.830 10008 10008 I zygote  : option7=-XX:PerfettoJavaHeapStackProf=true

05-26 23:20:52.830 10008 10008 I zygote  : option8=-Xms8m

05-26 23:20:52.830 10008 10008 I zygote  : option9=-Xmx512m

05-26 23:20:52.830 10008 10008 I zygote  : option10=-XX:HeapGrowthLimit=512m

05-26 23:20:52.830 10008 10008 I zygote  : option11=-XX:HeapMinFree=512k

05-26 23:20:52.830 10008 10008 I zygote  : option12=-XX:HeapMaxFree=8m

05-26 23:20:52.830 10008 10008 I zygote  : option13=-XX:HeapTargetUtilization=0.75

05-26 23:20:52.830 10008 10008 I zygote  : option14=-Xusejit:true

5.综合上面的信息，初始分析给结果是surfaceflinger  crash 导致zygote 重启，此时system_server 也会重启

 客户在20230527 09：01 上发现了黑屏，但是在20230526号晚上就出现了异常。

 在26 到 27 号间，最晚的Monkey log 

 000162_persist_00324_230526_232052.log:352:05-26 23:20:52.354 20635 20635 W Monkey  : ** System appears to have crashed at event 97064 of
与上面日志能能相符

7.AF ownner进行下一步更细化的分析

#8 - 2023-06-01 19:10 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to CD FW 曹覃刚

#9 - 2023-06-01 20:35 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118052 原因相同

Hi 王成

■ 我的分析

这个问题与 #118052 原因相同，我们将在 #118052 中跟踪分析

surfaceflinger报空指针了，导致系统进程挂了

-------------------

05-26 23:20:51.485  9991  9991 E DEBUG   : failed to read /proc/uptime: Permission denied

05-26 23:20:51.725  9991  9991 F DEBUG   : * 

05-26 23:20:51.725  9991  9991 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys'

05-26 23:20:51.725  9991  9991 F DEBUG   : Revision: '0'

05-26 23:20:51.725  9991  9991 F DEBUG   : ABI: 'arm64'

05-26 23:20:51.725  9991  9991 F DEBUG   : Timestamp: 2023-05-26 23:20:51.484796595+0800

05-26 23:20:51.725  9991  9991 F DEBUG   : Process uptime: 0s

05-26 23:20:51.725  9991  9991 F DEBUG   : Cmdline: /system/bin/surfaceflinger

05-26 23:20:51.725  9991  9991 F DEBUG   : pid: 984, tid: 984, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

05-26 23:20:51.725  9991  9991 F DEBUG   : uid: 1000

05-26 23:20:51.725  9991  9991 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x0

05-26 23:20:51.725  9991  9991 F DEBUG   : Cause: null pointer dereference

05-26 23:20:51.725  9991  9991 F DEBUG   :     x0  b400006eadb665a8  x1  0000007fd28f8108  x2  0000006d3d963240  x3  0000007fd28f7f48

05-26 23:20:51.725  9991  9991 F DEBUG   :     x4  0000000000000018  x5  00000000ffffffff  x6  00000000ffffffff  x7  b400006eadabec30

05-26 23:20:51.725  9991  9991 F DEBUG   :     x8  b400006eadb63ed0  x9  00000000000026d8  x10 000000003f800000  x11 0000000000000168

05-26 23:20:51.725  9991  9991 F DEBUG   :     x12 000000000000000e  x13 0000000050a20c40  x14 b400006e4d9668e8  x15 0000000000000000

05-26 23:20:51.725  9991  9991 F DEBUG   :     x16 0000005a0f1a7c10  x17 000000702dc50ec0  x18 000000703ac84000  x19 0000000000000000

05-26 23:20:51.725  9991  9991 F DEBUG   :     x20 0000007fd28f8108  x21 b400006eadb665a8  x22 0000043800000a00  x23 b400006eadb63ed0

05-26 23:20:51.725  9991  9991 F DEBUG   :     x24 0000007036fb8240  x25 b400006ebd912010  x26 0000007039add000  x27 0000000000000438

05-26 23:20:51.725  9991  9991 F DEBUG   :     x28 0000000000000000  x29 0000007fd28f8000

05-26 23:20:51.725  9991  9991 F DEBUG   :     lr  0000005a0ed1b650  sp  0000007fd28f8000  pc  000000702dc50ee0  pst 0000000060001000

05-26 23:20:51.725  9991  9991 F DEBUG   : backtrace:

05-26 23:20:51.725  9991  9991 F DEBUG   :       #00 pc 000000000000eee0  /system/lib64/libutils.so (android::RefBase::decStrong(void const) const+32) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-26 23:20:51.726  9991  9991 F DEBUG   :       #01 pc 000000000015f64c  /system/bin/surfaceflinger (android::LayerRenderArea::render(std::__1::function<void

()>)+944) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-26 23:20:51.726  9991  9991 F DEBUG   :       #02 pc 00000000001c63f8  /system/bin/surfaceflinger (ZNSt3

_120__packaged_task_funcIZN7android14SurfaceFlinger19captureScreenCommonENS_6futureINS_10unique_ptrINS1_10RenderAreaENS_14default_deleteIS5_EEEEE

ENS_8functionIFvRKNSA_IFvPNS1_5LayerEEEEEEERKNS_10shared_ptrINS1_12renderengine15ExternalTextureEEEbbRKNS1_2spINS1_3gui22IScreenCaptureListen

erEEEE4$_93NS_9allocatorISV_EEFvvEEclEv$8fd14edc326db0e9be510f46fb0c4dd5+368) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-26 23:20:51.726  9991  9991 F DEBUG   :       #03 pc 00000000001c5cc4  /system/bin/surfaceflinger (

ZN7android4TaskIZNS_14SurfaceFlinger19captureScreenCommonENSt3
_16futureINS2_10unique_ptrINS_10RenderAreaENS2_14default_deleteIS5_EEEEEENS2_8functionIFvRKNSA_IFvPNS_5LayerEEEEEEERKNS2_10shared_ptrINS_12r

enderengine15ExternalTextureEEEbbRKNS_2spINS_3gui22IScreenCaptureListenerEEEE4$_93E13handleMessageERKNS_7MessageE$8fd14edc326db0e9be510f46fb0c4d

d5+92) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-26 23:20:51.726  9991  9991 F DEBUG   :       #04 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-26 23:20:51.726  9991  9991 F DEBUG   :       #05 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-26 23:20:51.726  9991  9991 F DEBUG   :       #06 pc 000000000016f71c  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-26 23:20:51.726  9991  9991 F DEBUG   :       #07 pc 0000000000189080  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+16) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-26 23:20:51.726  9991  9991 F DEBUG   :       #08 pc 00000000001d6c40  /system/bin/surfaceflinger (main+1640) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-26 23:20:51.726  9991  9991 F DEBUG   :       #09 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

-------------------

#10 - 2023-06-02 16:59 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#11 - 2023-06-02 16:59 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
